> For the complete documentation index, see [llms.txt](https://docs.cotter.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cotter.app/api-reference.md).

# API Reference

- [User API](https://docs.cotter.app/api-reference/user-api.md)
- [User Object](https://docs.cotter.app/api-reference/user-api/user-object.md)
- [OAuth Tokens API](https://docs.cotter.app/api-reference/oauth-tokens-api.md): HTTP Requests for handling Access Token, ID Token, and Refresh Tokens
- [Verify JWT Token using API (serverless)](https://docs.cotter.app/api-reference/oauth-tokens-api/verify-jwt-token-using-api-serverless.md)
- [Requesting Custom Claims on your Access Token](https://docs.cotter.app/api-reference/oauth-tokens-api/requesting-custom-claims-on-your-access-token.md): You can now add your own custom fields on the access token that your receive from Cotter
- [Older API](https://docs.cotter.app/api-reference/oauth-tokens-api/older-api.md)
- [OAuth Tokens from Social Login](https://docs.cotter.app/api-reference/oauth-tokens-from-social-login.md)
- [Event Object](https://docs.cotter.app/api-reference/event-object.md)
- [Reset PIN API](https://docs.cotter.app/api-reference/reset-pin-api.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cotter.app/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
